// -------------------------------------------------------------------------------
// 
// 		cwCu		VXevO
// 
// 				Ver 3.19 
// 
// -------------------------------------------------------------------------------

// cwCu쐬p`
#define __DX_MAKE

// CN[h ------------------------------------------------------------------
#include "DxSystem.h"
#include "DxBaseFunc.h"
#include "DxUseCLib.h"

#ifndef DX_NON_NAMESPACE

namespace DxLib
{

#endif // DX_NON_NAMESPACE

// }N` --------------------------------------------------------------------

// \̒` --------------------------------------------------------------------

// e[u-----------------------------------------------------------------------

// ϐ錾 --------------------------------------------------------------

DXSYSTEMDATA DxSysData ;

// ֐vg^Cv錾-----------------------------------------------------------

// vO --------------------------------------------------------------------

// EI֌W

// DxSysData ֌W̏s
extern int DxLib_SysInit( void )
{
	// INGXg̃tO|
	DxSysData.EndRequestFlag = FALSE ;

	// I
	return 0 ;
}

// INGXgs
extern int DxLib_EndRequest( void )
{
	DxSysData.EndRequestFlag = TRUE ;

	// I
	return 0 ;
}

// INGXg̏Ԃ擾
extern int DxLib_GetEndRequest( void )
{
	return DxSysData.EndRequestFlag ;
}







// CuĂ邩ǂ擾( ߂l: TRUE=Ă  FALSE=ĂȂ )
extern int NS_DxLib_IsInit( void )
{
	return DxSysData.DxLib_InitializeFlag ;
}






// G[֐

// ŌɔG[̃G[R[h擾( ߂l@0:G[ĂȂA̓G[R[ho͂ɑΉG[ĂȂ@@0ȊOFG[R[hADX_ERRORCODE_WIN_DESKTOP_24BIT_COLOR Ȃ )
extern int NS_GetLastErrorCode( void )
{
	return DxSysData.LastErrorCode ;
}

// ŌɔG[̃G[bZ[Ww̕obt@Ɏ擾
extern int NS_GetLastErrorMessage( TCHAR *StringBuffer, int StringBufferBytes )
{
	ConvString( ( char * )DxSysData.LastErrorMessage, WCHAR_T_CHARCODEFORMAT, ( char * )StringBuffer, StringBufferBytes, _TCHARCODEFORMAT ) ;

	return 0 ;
}

// G[R[hEbZ[Wݒ肷
extern int DxLib_SetLastError( int ErrorCode/* DX_ERRORCODE_WIN_24BIT_COLOR Ȃ */, const wchar_t *ErrorMessage )
{
	DxSysData.LastErrorCode = ErrorCode ;

	if( ErrorMessage == NULL )
	{
		DxSysData.LastErrorMessage[ 0 ] = L'\0' ;
	}
	else
	{
		CL_strcpy_s( WCHAR_T_CHARCODEFORMAT, ( char * )DxSysData.LastErrorMessage, sizeof( DxSysData.LastErrorMessage ), ( char * )ErrorMessage ) ;
	}

	return 0 ;
}

// tCũG[s
extern int DxLib_FmtError( const wchar_t *FormatString , ... )
{
	va_list VaList ;
	wchar_t String[ 1024 ];

	// Oo͗p̃XgZbg
	va_start( VaList , FormatString ) ;

	// ҏW̕擾
	_VSWNPRINTF( String , sizeof( String ) / 2, FormatString , VaList ) ;

	// ϒXg̃|C^Zbg
	va_end( VaList ) ;

	// G[ɂ܂킷
	return DxLib_Error( String ) ;
}

// tCũG[s
extern int DxLib_FmtErrorUTF16LE( const char *FormatString , ... )
{
	va_list VaList ;
	char String[ 2048 ];

	// Oo͗p̃XgZbg
	va_start( VaList , FormatString ) ;

	// ҏW̕擾
	CL_vsnprintf( DX_CHARCODEFORMAT_UTF16LE, TRUE, CHAR_CHARCODEFORMAT, WCHAR_T_CHARCODEFORMAT, String, sizeof( String ) / 2, FormatString, VaList ) ;

	// ϒXg̃|C^Zbg
	va_end( VaList ) ;

	// G[ɂ܂킷
	return DxLib_ErrorUTF16LE( String ) ;
}






// ǂݍݏn̊֐Ŕ񓯊ǂݍ݂sǂݒ肷( 񓯊ǂݍ݂ɑΉĂ֐̂ݗL )( TRUE:񓯊ǂݍ݂s  FALSE:񓯊ǂݍ݂sȂ( ftHg ) )
extern int NS_SetUseASyncLoadFlag( int Flag )
{
	DxSysData.ASyncLoadFlag = Flag ;

	// I
	return 0 ;
}

// 񓯊ǂݍ݂sǂ擾( TRUE:񓯊ǂݍ݂s   FALSE:񓯊ǂݍ݂sȂ )
extern int GetASyncLoadFlag( void )
{
	return DxSysData.ASyncLoadFlag ? TRUE : FALSE ;
}

// cwCũEChE֘A̋@\gpȂtO
extern int NS_SetNotWinFlag( int Flag )
{
	if( Flag == TRUE ) DxSysData.NotDrawFlag = TRUE;
	DxSysData.NotWinFlag = Flag ;

	return 0 ;
}

// `@\gǂ̃tOZbg
extern int NS_SetNotDrawFlag( int Flag )
{
	DxSysData.NotDrawFlag = Flag ;

	return 0 ;
}

// `@\gǂ̃tO擾
extern int NS_GetNotDrawFlag( void )
{
	return DxSysData.NotDrawFlag ;
}

// TEh@\gǂ̃tOZbg
extern int NS_SetNotSoundFlag( int Flag )
{
	DxSysData.NotSoundFlag = Flag ;

	return 0;
}

// ͏Ԏ擾@\gǂ̃tOZbg
extern int NS_SetNotInputFlag( int Flag )
{
	DxSysData.NotInputFlag = Flag ;

	return 0;
}














// EGCgn֐

// w̎ԂƂ߂
extern int NS_WaitTimer( int WaitTime )
{
	LONGLONG StartTime, EndTime ;

	StartTime = NS_GetNowHiPerformanceCount( FALSE ) ;

	// 4msecO܂ŐQ
	WaitTime *= 1000 ;
	if( WaitTime > 4000 )
	{
		// w莞Ԃ̊ԃbZ[W[v
		EndTime = StartTime + WaitTime - 4000 ;
		while( ProcessMessage() == 0 && EndTime > NS_GetNowHiPerformanceCount( FALSE ) )
		{
			Thread_Sleep( 1 ) ;
		}
	}

	// 4msecȉ͐̕mɑ҂
	EndTime = StartTime + WaitTime ;
	while( EndTime > NS_GetNowHiPerformanceCount( FALSE ) ){}

	// I
	return 0 ;
}

#ifndef DX_NON_INPUT

// L[̓͑҂
extern int NS_WaitKey( void )
{
	int BackCode = 0 ;

	while( ProcessMessage() == 0 && CheckHitKeyAll() != 0 )
	{
		Thread_Sleep( 1 ) ;
	}

	while( ProcessMessage() == 0 && ( BackCode = CheckHitKeyAll() ) == 0 )
	{
		Thread_Sleep( 1 ) ;
	}

//	while( ProcessMessage() == 0 && CheckHitKeyAll() != 0 )
//	{
//		Thread_Sleep( 1 ) ;
//	}

	return BackCode ;
}

#endif // DX_NON_INPUT















#ifndef DX_NON_NAMESPACE

}

#endif // DX_NON_NAMESPACE





